Bug 489741 - Find button not enabled properly in Find Dialog
Find button not enabled properly in Find Dialog
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-11 12:15 EDT by Steven Usdansky
Modified: 2009-04-06 13:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-06 13:41:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Usdansky 2009-03-11 12:15:46 EDT
Description of problem:
Find button is grayed out in Find Dialog unless user selects text within the document before invoking Find or selects text from the dropdown list of the Search-for combo box.

Version-Release number of selected component (if applicable):
gedit-2.25.8-1.fc11

How reproducible:
100%

Steps to Reproduce:
1. start gedit
2. load a file or type something
3. invoke Find (menu or toolbar-icon or ctrl-F)
4. type something to Search for
  
Actual results:
Find button stays disabled and grayed-out


Expected results:
Find button enabled

Additional info:
Reverting to gedit-2.25.6-1.fc11 does not solve the problem.
Comment 1 Matthias Clasen 2009-03-11 16:26:18 EDT
Fixed in GTK+ trunk upstream by

2009-03-04  Michael Hasselmann <michaelh@openismus.com>

        * gtk/gtkcomboboxentry.c (gtk_combo_box_entry_contents_changed):
        Fixed regression reported in bug #574059. (search button not available in 
        some cases.) The old implementation relied on bug #572478.

Should land in rawhide before the end of the week.
Comment 2 Flóki Pálsson 2009-04-05 06:46:58 EDT
This is still  in 
gedit-2.26.0-1.fc11.x86_64

gtk2-2.16.0-1.fc11.x86_64

>Should land in rawhide before the end of the week.  
Has it landed ?
Comment 3 Matthias Clasen 2009-04-06 00:08:15 EDT
Yes, it works correctly here, with those packages.
Comment 4 Flóki Pálsson 2009-04-06 13:40:02 EDT
Yes. It works.  
I was to quick.

Note You need to log in before you can comment on or make changes to this bug.